#include <bits/stdc++.h>
#define maxN 30000

using namespace std;

int a[maxN];

int main()
{
    int n;
    int k;

    cin >> n;
    cin >> k;

    int indexk;

    for(int i = 0; i < n; i++)
    {
            cin >> a[i];
            if(a[i] == k)
               indexk = i;
    }

    if(indexk == n - 1)
    {
        cout << a[0] << '\n';
    }
    else
    {
        cout << a[indexk + 1] << '\n';
    }


    return 0;
}